[![PyPI version shields.io](https://img.shields.io/pypi/v/multiscale-statistical-analysis.svg)](https://pypi.org/project/multiscale-statistical-analysis/)
[![PyPI license](https://img.shields.io/pypi/l/multiscale-statistical-analysis.svg)](https://pypi.org/project/multiscale-statistical-analysis/)
# Multiscale-Statistical-Analysis
## About
This is a standalone multiscale analysis software developed by [Nathaniel Rutkowski](https://github.com/nrutkowski1).
It uses length-scale, area-scale, or area-complexity data exported from MountainsMap®, developed by [Digital Surf](https://www.digitalsurf.com/).
The application can then be used to run multiscale regression or discrimination on the exported surface data using F-tests, T-Tests, or ANOVA analysis.
## Documentation
A list of dependencies will need to be installed in order to use the application (all of these can be installed using [pip](https://pypi.org/project/pip/)). These can be found [here](https://github.com/MatthewSpofford/Multiscale-Statistical-Analysis/blob/master/requirements.txt), and installed using this command: `pip install -r requirements.txt`. In order to then run the tool, use `python main.py`.

More information on how to use the application can be found [here](https://github.com/MatthewSpofford/Multiscale-Statistical-Analysis/blob/master/Multiscale%20Statistical%20Analysis%20Manual.pdf).
## Similar Projects
In order to integrate directly with the MountainsMap® software, a similar addon application was being worked on. However, this project has been abandoned as a result of limitations with MountainsMap®. The project can be found [here](https://github.com/MatthewSpofford/Mountains-Statistical-Addons).
